package com.mortals.xhx.module.staff.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.staff.model.vo.StaffRecordVo;
import lombok.Data;
/**
* 客户访问记录信息实体对象
*
* @author zxfei
* @date 2023-09-18
*/
@Data
public class StaffRecordEntity extends StaffRecordVo {
    private static final long serialVersionUID = 1L;

    /**
    * 被查看员工ID
    */
    private Long staffId;
    /**
    * 被查看员工姓名
    */
    private String staffName;
    /**
    * 查看人名称
    */
    private String viewName;
    /**
    * 累计查看次数
    */
    private Integer sumViews;
    /**
    * 访问内容
    */
    private String viewContent;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof StaffRecordEntity) {
            StaffRecordEntity tmp = (StaffRecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.staffId = 0L;
            this.staffName = "";
            this.viewName = "";
            this.sumViews = 0;
            this.viewContent = "";
            this.remark = "";
    }
}